Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Damn autogenerated, get out of the way, I can't see the real changes I've made
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 VPATH = @srcdir@
22 pkgdatadir = $(datadir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkgincludedir = $(includedir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
41         $(am__EXEEXT_4)
42 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
43         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
44 subdir = testsuite
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
47         $(top_srcdir)/acmacro/compiler-flags.m4 \
48         $(top_srcdir)/acmacro/context.m4 \
49         $(top_srcdir)/acmacro/fancy_configury.m4 \
50         $(top_srcdir)/acmacro/flex.m4 \
51         $(top_srcdir)/acmacro/gras_arch.m4 \
52         $(top_srcdir)/acmacro/print_null.m4 \
53         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
54 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55         $(ACLOCAL_M4)
56 mkinstalldirs = $(install_sh) -d
57 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
58 CONFIG_CLEAN_FILES = run_tests
59 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
60         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
61 am__EXEEXT_2 = gras/trp_tcp_client$(EXEEXT) \
62         gras/trp_tcp_server$(EXEEXT) gras/trp_file_client$(EXEEXT) \
63         gras/trp_file_server$(EXEEXT) gras/datadesc_usage$(EXEEXT)
64 am__EXEEXT_3 = surf/maxmin_usage$(EXEEXT) surf/maxmin_bench$(EXEEXT) \
65         surf/simeng_usage$(EXEEXT) surf/trace_usage$(EXEEXT) \
66         surf/surf_usage$(EXEEXT) surf/surf_usage2$(EXEEXT)
67 am__EXEEXT_4 = simdag/sd_test$(EXEEXT)
68 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
69         datadesc_structs.$(OBJEXT)
70 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
71 gras_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
72 am__dirstamp = $(am__leading_dot)dirstamp
73 gras_trp_file_client_SOURCES = gras/trp_file_client.c
74 gras_trp_file_client_OBJECTS = trp_file_client.$(OBJEXT)
75 gras_trp_file_client_DEPENDENCIES = $(LDADD_RL)
76 gras_trp_file_server_SOURCES = gras/trp_file_server.c
77 gras_trp_file_server_OBJECTS = trp_file_server.$(OBJEXT)
78 gras_trp_file_server_DEPENDENCIES = $(LDADD_RL)
79 gras_trp_tcp_client_SOURCES = gras/trp_tcp_client.c
80 gras_trp_tcp_client_OBJECTS = trp_tcp_client.$(OBJEXT)
81 gras_trp_tcp_client_DEPENDENCIES = $(LDADD_RL)
82 gras_trp_tcp_server_SOURCES = gras/trp_tcp_server.c
83 gras_trp_tcp_server_OBJECTS = trp_tcp_server.$(OBJEXT)
84 gras_trp_tcp_server_DEPENDENCIES = $(LDADD_RL)
85 simdag_sd_test_SOURCES = simdag/sd_test.c
86 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
87 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
88 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
89 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
90 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
91 surf_maxmin_usage_SOURCES = surf/maxmin_usage.c
92 surf_maxmin_usage_OBJECTS = maxmin_usage.$(OBJEXT)
93 surf_maxmin_usage_DEPENDENCIES = $(LDADD_SG)
94 surf_simeng_usage_SOURCES = surf/simeng_usage.c
95 surf_simeng_usage_OBJECTS = simeng_usage.$(OBJEXT)
96 surf_simeng_usage_DEPENDENCIES = $(LDADD_SG)
97 surf_surf_usage_SOURCES = surf/surf_usage.c
98 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
99 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
100 surf_surf_usage2_SOURCES = surf/surf_usage2.c
101 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
102 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
103 surf_trace_usage_SOURCES = surf/trace_usage.c
104 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
105 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
106 xbt_context_usage_SOURCES = xbt/context_usage.c
107 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
108 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
109 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
110 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
111 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
112 xbt_heap_bench_SOURCES = xbt/heap_bench.c
113 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
114 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
115 xbt_log_usage_SOURCES = xbt/log_usage.c
116 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
117 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
118 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
119 depcomp = $(SHELL) $(top_srcdir)/depcomp
120 am__depfiles_maybe = depfiles
121 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
122         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
123 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
124         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
125         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
126 CCLD = $(CC)
127 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
128         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
129         $(LDFLAGS) -o $@
130 SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
131         gras/trp_file_server.c gras/trp_tcp_client.c \
132         gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
133         surf/maxmin_usage.c surf/simeng_usage.c surf/surf_usage.c \
134         surf/surf_usage2.c surf/trace_usage.c xbt/context_usage.c \
135         xbt/graphxml_usage.c xbt/heap_bench.c xbt/log_usage.c
136 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
137         gras/trp_file_server.c gras/trp_tcp_client.c \
138         gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
139         surf/maxmin_usage.c surf/simeng_usage.c surf/surf_usage.c \
140         surf/surf_usage2.c surf/trace_usage.c xbt/context_usage.c \
141         xbt/graphxml_usage.c xbt/heap_bench.c xbt/log_usage.c
142 ETAGS = etags
143 CTAGS = ctags
144 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
145 ACLOCAL = @ACLOCAL@
146 ADDR2LINE = @ADDR2LINE@
147 AMTAR = @AMTAR@
148 AM_CPPFLAGS = @AM_CPPFLAGS@
149 AR = @AR@
150 AS = @AS@
151 AUTOCONF = @AUTOCONF@
152 AUTOHEADER = @AUTOHEADER@
153 AUTOMAKE = @AUTOMAKE@
154 AWK = @AWK@
155 BASH = @BASH@
156 CC = @CC@
157 CCDEPMODE = @CCDEPMODE@
158 CFLAGS = @CFLAGS@
159 CPP = @CPP@
160 CPPFLAGS = @CPPFLAGS@
161 CXX = @CXX@
162 CXXCPP = @CXXCPP@
163 CXXDEPMODE = @CXXDEPMODE@
164 CXXFLAGS = @CXXFLAGS@
165 CYGPATH_W = @CYGPATH_W@
166 DEFS = @DEFS@
167 DEPDIR = @DEPDIR@
168 DLLTOOL = @DLLTOOL@
169 DOXYGEN = @DOXYGEN@
170 ECHO = @ECHO@
171 ECHO_C = @ECHO_C@
172 ECHO_N = @ECHO_N@
173 ECHO_T = @ECHO_T@
174 EGREP = @EGREP@
175 EXEEXT = @EXEEXT@
176 FLEXML = @FLEXML@
177 GCJ = @GCJ@
178 GCJDEPMODE = @GCJDEPMODE@
179 GCJFLAGS = @GCJFLAGS@
180 GRAS_DEP = @GRAS_DEP@
181 GREP = @GREP@
182 INSTALL = @INSTALL@
183 INSTALL_DATA = @INSTALL_DATA@
184 INSTALL_PROGRAM = @INSTALL_PROGRAM@
185 INSTALL_SCRIPT = @INSTALL_SCRIPT@
186 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
187 JAR = @JAR@
188 JAVA = @JAVA@
189 JAVAC = @JAVAC@
190 LDFLAGS = @LDFLAGS@
191 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
192 LEX = @LEX@
193 LEXLIB = @LEXLIB@
194 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
195 LIBOBJS = @LIBOBJS@
196 LIBS = @LIBS@
197 LIBTOOL = @LIBTOOL@
198 LN_S = @LN_S@
199 LTLIBOBJS = @LTLIBOBJS@
200 MAINT = @MAINT@
201 MAKEINFO = @MAKEINFO@
202 MD5SUM = @MD5SUM@
203 MKDIR_P = @MKDIR_P@
204 OBJDUMP = @OBJDUMP@
205 OBJEXT = @OBJEXT@
206 PACKAGE = @PACKAGE@
207 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
208 PACKAGE_NAME = @PACKAGE_NAME@
209 PACKAGE_STRING = @PACKAGE_STRING@
210 PACKAGE_TARNAME = @PACKAGE_TARNAME@
211 PACKAGE_VERSION = @PACKAGE_VERSION@
212 PATH_SEPARATOR = @PATH_SEPARATOR@
213 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
214 RANLIB = @RANLIB@
215 SET_MAKE = @SET_MAKE@
216 SHELL = @SHELL@
217 SIMGRID_DEP = @SIMGRID_DEP@
218 STRIP = @STRIP@
219 VERSION = @VERSION@
220 WARNING = @WARNING@
221 abs_builddir = @abs_builddir@
222 abs_srcdir = @abs_srcdir@
223 abs_top_builddir = @abs_top_builddir@
224 abs_top_srcdir = @abs_top_srcdir@
225 ac_configure_args = @ac_configure_args@
226 ac_ct_CC = @ac_ct_CC@
227 ac_ct_CXX = @ac_ct_CXX@
228 am__include = @am__include@
229 am__leading_dot = @am__leading_dot@
230 am__quote = @am__quote@
231 am__tar = @am__tar@
232 am__untar = @am__untar@
233 bindir = @bindir@
234 build = @build@
235 build_alias = @build_alias@
236 build_cpu = @build_cpu@
237 build_id = @build_id@
238 build_os = @build_os@
239 build_vendor = @build_vendor@
240 builddir = @builddir@
241 datadir = @datadir@
242 datarootdir = @datarootdir@
243 docdir = @docdir@
244 dvidir = @dvidir@
245 exec_prefix = @exec_prefix@
246 host = @host@
247 host_alias = @host_alias@
248 host_cpu = @host_cpu@
249 host_os = @host_os@
250 host_vendor = @host_vendor@
251 htmldir = @htmldir@
252 includedir = @includedir@
253 infodir = @infodir@
254 install_sh = @install_sh@
255 libdir = @libdir@
256 libexecdir = @libexecdir@
257 localedir = @localedir@
258 localstatedir = @localstatedir@
259 mandir = @mandir@
260 mkdir_p = @mkdir_p@
261 oldincludedir = @oldincludedir@
262 pdfdir = @pdfdir@
263 prefix = @prefix@
264 program_transform_name = @program_transform_name@
265 psdir = @psdir@
266 pth_skaddr_makecontext = @pth_skaddr_makecontext@
267 pth_sksize_makecontext = @pth_sksize_makecontext@
268 sbindir = @sbindir@
269 sharedstatedir = @sharedstatedir@
270 srcdir = @srcdir@
271 sysconfdir = @sysconfdir@
272 target = @target@
273 target_alias = @target_alias@
274 target_cpu = @target_cpu@
275 target_os = @target_os@
276 target_vendor = @target_vendor@
277 top_builddir = @top_builddir@
278 top_srcdir = @top_srcdir@
279 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
280 AM_CFLAGS = -g
281 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
282   testgraph.xml testgraph.dot
283
284 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
285 EXTRA_DIST = run_tests.in \
286   gras/datadesc.little32 gras/datadesc.little32_4 \
287   gras/datadesc.little64\
288   gras/datadesc.big32 gras/datadesc.big32_8_4 gras/datadesc.big32_2 \
289   gras/mk_datadesc_structs.pl \
290   xbt/graph.xml \
291   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
292   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
293
294
295 # Data sets still to regenerate:
296 # gras/datadesc.big64 
297 # gras/datadesc.big32_4 
298
299 # Test stuff
300 xbt_tests = \
301         xbt/log_usage                                            \
302         xbt/heap_bench                                           \
303         xbt/graphxml_usage                                       \
304         xbt/context_usage                                        
305
306 RL_tests = \
307         gras/trp_tcp_client   gras/trp_tcp_server       \
308         gras/trp_file_client  gras/trp_file_server      \
309         gras/datadesc_usage                             
310
311 SG_tests = \
312         surf/maxmin_usage surf/maxmin_bench surf/simeng_usage \
313         surf/trace_usage surf/surf_usage surf/surf_usage2
314
315 #if HAVE_SDP
316 #  SG_tests+=surf/sdp_usage
317 #endif
318 simdag_tests = simdag/sd_test
319 check_SCRIPTS = run_tests gras/trp_tcp_usage
320 TESTS = run_tests
321
322 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
323 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
324 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
325 xbt_log_usage_LDADD = $(LDADD_RL)
326 xbt_heap_bench_LDADD = $(LDADD_RL)
327 xbt_graphxml_usage_LDADD = $(LDADD_SG)
328 xbt_context_usage_LDADD = $(LDADD_SG)
329 surf_maxmin_usage_LDADD = $(LDADD_SG)
330 surf_maxmin_bench_LDADD = $(LDADD_SG)
331 surf_simeng_usage_LDADD = $(LDADD_SG)
332 surf_trace_usage_LDADD = $(LDADD_SG)
333 surf_surf_usage_LDADD = $(LDADD_SG)
334 surf_surf_usage2_LDADD = $(LDADD_SG)
335 #if HAVE_SDP
336 #surf_sdp_usage_LDADD=         $(LDADD_SG)
337 #surf_sdp_bench_LDADD=         $(LDADD_SG)
338 #endif
339 gras_trp_tcp_client_LDADD = $(LDADD_RL)
340 gras_trp_tcp_server_LDADD = $(LDADD_RL)
341 gras_trp_file_client_LDADD = $(LDADD_RL)
342 gras_trp_file_server_LDADD = $(LDADD_RL)
343 gras_datadesc_usage_SOURCES = gras/datadesc_usage.c gras/datadesc_structs.c
344 gras_datadesc_usage_LDADD = $(LDADD_RL)
345 simdag_sd_test_LDADD = $(LDADD_SG)
346 all: all-am
347
348 .SUFFIXES:
349 .SUFFIXES: .c .lo .o .obj
350 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
351         @for dep in $?; do \
352           case '$(am__configure_deps)' in \
353             *$$dep*) \
354               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
355                 && exit 0; \
356               exit 1;; \
357           esac; \
358         done; \
359         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
360         cd $(top_srcdir) && \
361           $(AUTOMAKE) --gnu  testsuite/Makefile
362 .PRECIOUS: Makefile
363 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
364         @case '$?' in \
365           *config.status*) \
366             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
367           *) \
368             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
369             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
370         esac;
371
372 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
373         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
374
375 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
376         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
377 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
378         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
379 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
380         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
381
382 clean-checkPROGRAMS:
383         @list='$(check_PROGRAMS)'; for p in $$list; do \
384           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
385           echo " rm -f $$p $$f"; \
386           rm -f $$p $$f ; \
387         done
388 gras/$(am__dirstamp):
389         @$(MKDIR_P) gras
390         @: > gras/$(am__dirstamp)
391 gras/datadesc_usage$(EXEEXT): $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_DEPENDENCIES) gras/$(am__dirstamp)
392         @rm -f gras/datadesc_usage$(EXEEXT)
393         $(LINK) $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_LDADD) $(LIBS)
394 gras/trp_file_client$(EXEEXT): $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_DEPENDENCIES) gras/$(am__dirstamp)
395         @rm -f gras/trp_file_client$(EXEEXT)
396         $(LINK) $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_LDADD) $(LIBS)
397 gras/trp_file_server$(EXEEXT): $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_DEPENDENCIES) gras/$(am__dirstamp)
398         @rm -f gras/trp_file_server$(EXEEXT)
399         $(LINK) $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_LDADD) $(LIBS)
400 gras/trp_tcp_client$(EXEEXT): $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_DEPENDENCIES) gras/$(am__dirstamp)
401         @rm -f gras/trp_tcp_client$(EXEEXT)
402         $(LINK) $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_LDADD) $(LIBS)
403 gras/trp_tcp_server$(EXEEXT): $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_DEPENDENCIES) gras/$(am__dirstamp)
404         @rm -f gras/trp_tcp_server$(EXEEXT)
405         $(LINK) $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_LDADD) $(LIBS)
406 simdag/$(am__dirstamp):
407         @$(MKDIR_P) simdag
408         @: > simdag/$(am__dirstamp)
409 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
410         @rm -f simdag/sd_test$(EXEEXT)
411         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
412 surf/$(am__dirstamp):
413         @$(MKDIR_P) surf
414         @: > surf/$(am__dirstamp)
415 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
416         @rm -f surf/maxmin_bench$(EXEEXT)
417         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
418 surf/maxmin_usage$(EXEEXT): $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_DEPENDENCIES) surf/$(am__dirstamp)
419         @rm -f surf/maxmin_usage$(EXEEXT)
420         $(LINK) $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_LDADD) $(LIBS)
421 surf/simeng_usage$(EXEEXT): $(surf_simeng_usage_OBJECTS) $(surf_simeng_usage_DEPENDENCIES) surf/$(am__dirstamp)
422         @rm -f surf/simeng_usage$(EXEEXT)
423         $(LINK) $(surf_simeng_usage_OBJECTS) $(surf_simeng_usage_LDADD) $(LIBS)
424 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
425         @rm -f surf/surf_usage$(EXEEXT)
426         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
427 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
428         @rm -f surf/surf_usage2$(EXEEXT)
429         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
430 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
431         @rm -f surf/trace_usage$(EXEEXT)
432         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
433 xbt/$(am__dirstamp):
434         @$(MKDIR_P) xbt
435         @: > xbt/$(am__dirstamp)
436 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
437         @rm -f xbt/context_usage$(EXEEXT)
438         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
439 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
440         @rm -f xbt/graphxml_usage$(EXEEXT)
441         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
442 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
443         @rm -f xbt/heap_bench$(EXEEXT)
444         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
445 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
446         @rm -f xbt/log_usage$(EXEEXT)
447         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
448
449 mostlyclean-compile:
450         -rm -f *.$(OBJEXT)
451
452 distclean-compile:
453         -rm -f *.tab.c
454
455 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
456 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
457 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
458 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
459 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
460 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
461 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
462 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_usage.Po@am__quote@
463 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
464 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/simeng_usage.Po@am__quote@
465 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
466 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
467 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
468 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_client.Po@am__quote@
469 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_server.Po@am__quote@
470 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_client.Po@am__quote@
471 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_server.Po@am__quote@
472
473 .c.o:
474 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
475 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
476 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
478 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
479
480 .c.obj:
481 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
482 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
483 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
485 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
486
487 .c.lo:
488 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
489 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
490 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
492 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
493
494 datadesc_usage.o: gras/datadesc_usage.c
495 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
496 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
497 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
499 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
500
501 datadesc_usage.obj: gras/datadesc_usage.c
502 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
503 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
504 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
506 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
507
508 datadesc_structs.o: gras/datadesc_structs.c
509 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
510 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
511 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
513 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
514
515 datadesc_structs.obj: gras/datadesc_structs.c
516 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
517 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
518 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
520 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
521
522 trp_file_client.o: gras/trp_file_client.c
523 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.o -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
524 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
525 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.o' libtool=no @AMDEPBACKSLASH@
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
527 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
528
529 trp_file_client.obj: gras/trp_file_client.c
530 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.obj -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
531 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
532 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.obj' libtool=no @AMDEPBACKSLASH@
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
534 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
535
536 trp_file_server.o: gras/trp_file_server.c
537 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.o -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
538 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
539 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.o' libtool=no @AMDEPBACKSLASH@
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
541 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
542
543 trp_file_server.obj: gras/trp_file_server.c
544 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.obj -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
545 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
546 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.obj' libtool=no @AMDEPBACKSLASH@
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
548 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
549
550 trp_tcp_client.o: gras/trp_tcp_client.c
551 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.o -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
552 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.o' libtool=no @AMDEPBACKSLASH@
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
555 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
556
557 trp_tcp_client.obj: gras/trp_tcp_client.c
558 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.obj -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
559 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
560 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.obj' libtool=no @AMDEPBACKSLASH@
561 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
562 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
563
564 trp_tcp_server.o: gras/trp_tcp_server.c
565 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.o -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
566 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
567 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.o' libtool=no @AMDEPBACKSLASH@
568 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
569 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
570
571 trp_tcp_server.obj: gras/trp_tcp_server.c
572 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.obj -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
573 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
574 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.obj' libtool=no @AMDEPBACKSLASH@
575 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
576 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
577
578 sd_test.o: simdag/sd_test.c
579 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
580 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
581 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
582 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
583 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
584
585 sd_test.obj: simdag/sd_test.c
586 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
587 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
588 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
589 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
590 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
591
592 maxmin_bench.o: surf/maxmin_bench.c
593 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
594 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
595 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
596 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
597 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
598
599 maxmin_bench.obj: surf/maxmin_bench.c
600 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
601 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
602 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
603 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
604 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
605
606 maxmin_usage.o: surf/maxmin_usage.c
607 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_usage.o -MD -MP -MF $(DEPDIR)/maxmin_usage.Tpo -c -o maxmin_usage.o `test -f 'surf/maxmin_usage.c' || echo '$(srcdir)/'`surf/maxmin_usage.c
608 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_usage.Tpo $(DEPDIR)/maxmin_usage.Po
609 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_usage.c' object='maxmin_usage.o' libtool=no @AMDEPBACKSLASH@
610 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
611 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.o `test -f 'surf/maxmin_usage.c' || echo '$(srcdir)/'`surf/maxmin_usage.c
612
613 maxmin_usage.obj: surf/maxmin_usage.c
614 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_usage.obj -MD -MP -MF $(DEPDIR)/maxmin_usage.Tpo -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`
615 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_usage.Tpo $(DEPDIR)/maxmin_usage.Po
616 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_usage.c' object='maxmin_usage.obj' libtool=no @AMDEPBACKSLASH@
617 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
618 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`
619
620 simeng_usage.o: surf/simeng_usage.c
621 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT simeng_usage.o -MD -MP -MF $(DEPDIR)/simeng_usage.Tpo -c -o simeng_usage.o `test -f 'surf/simeng_usage.c' || echo '$(srcdir)/'`surf/simeng_usage.c
622 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/simeng_usage.Tpo $(DEPDIR)/simeng_usage.Po
623 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/simeng_usage.c' object='simeng_usage.o' libtool=no @AMDEPBACKSLASH@
624 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
625 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o simeng_usage.o `test -f 'surf/simeng_usage.c' || echo '$(srcdir)/'`surf/simeng_usage.c
626
627 simeng_usage.obj: surf/simeng_usage.c
628 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT simeng_usage.obj -MD -MP -MF $(DEPDIR)/simeng_usage.Tpo -c -o simeng_usage.obj `if test -f 'surf/simeng_usage.c'; then $(CYGPATH_W) 'surf/simeng_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/simeng_usage.c'; fi`
629 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/simeng_usage.Tpo $(DEPDIR)/simeng_usage.Po
630 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/simeng_usage.c' object='simeng_usage.obj' libtool=no @AMDEPBACKSLASH@
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
632 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o simeng_usage.obj `if test -f 'surf/simeng_usage.c'; then $(CYGPATH_W) 'surf/simeng_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/simeng_usage.c'; fi`
633
634 surf_usage.o: surf/surf_usage.c
635 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
636 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
637 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
639 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
640
641 surf_usage.obj: surf/surf_usage.c
642 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
643 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
644 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
645 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
646 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
647
648 surf_usage2.o: surf/surf_usage2.c
649 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
650 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
651 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
652 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
653 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
654
655 surf_usage2.obj: surf/surf_usage2.c
656 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
657 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
661
662 trace_usage.o: surf/trace_usage.c
663 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
664 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
667 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
668
669 trace_usage.obj: surf/trace_usage.c
670 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
671 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
672 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
674 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
675
676 context_usage.o: xbt/context_usage.c
677 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
678 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
679 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
681 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
682
683 context_usage.obj: xbt/context_usage.c
684 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
685 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
686 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
688 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
689
690 graphxml_usage.o: xbt/graphxml_usage.c
691 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
692 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
695 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
696
697 graphxml_usage.obj: xbt/graphxml_usage.c
698 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
699 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
703
704 heap_bench.o: xbt/heap_bench.c
705 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
706 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
707 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
709 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
710
711 heap_bench.obj: xbt/heap_bench.c
712 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
713 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
716 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
717
718 log_usage.o: xbt/log_usage.c
719 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
720 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
723 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
724
725 log_usage.obj: xbt/log_usage.c
726 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
727 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
730 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
731
732 mostlyclean-libtool:
733         -rm -f *.lo
734
735 clean-libtool:
736         -rm -rf .libs _libs
737
738 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
739         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
740         unique=`for i in $$list; do \
741             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
742           done | \
743           $(AWK) '    { files[$$0] = 1; } \
744                END { for (i in files) print i; }'`; \
745         mkid -fID $$unique
746 tags: TAGS
747
748 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
749                 $(TAGS_FILES) $(LISP)
750         tags=; \
751         here=`pwd`; \
752         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
753         unique=`for i in $$list; do \
754             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
755           done | \
756           $(AWK) '    { files[$$0] = 1; } \
757                END { for (i in files) print i; }'`; \
758         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
759           test -n "$$unique" || unique=$$empty_fix; \
760           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
761             $$tags $$unique; \
762         fi
763 ctags: CTAGS
764 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
765                 $(TAGS_FILES) $(LISP)
766         tags=; \
767         here=`pwd`; \
768         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
769         unique=`for i in $$list; do \
770             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
771           done | \
772           $(AWK) '    { files[$$0] = 1; } \
773                END { for (i in files) print i; }'`; \
774         test -z "$(CTAGS_ARGS)$$tags$$unique" \
775           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
776              $$tags $$unique
777
778 GTAGS:
779         here=`$(am__cd) $(top_builddir) && pwd` \
780           && cd $(top_srcdir) \
781           && gtags -i $(GTAGS_ARGS) $$here
782
783 distclean-tags:
784         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
785
786 check-TESTS: $(TESTS)
787         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
788         srcdir=$(srcdir); export srcdir; \
789         list=' $(TESTS) '; \
790         if test -n "$$list"; then \
791           for tst in $$list; do \
792             if test -f ./$$tst; then dir=./; \
793             elif test -f $$tst; then dir=; \
794             else dir="$(srcdir)/"; fi; \
795             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
796               all=`expr $$all + 1`; \
797               case " $(XFAIL_TESTS) " in \
798               *$$ws$$tst$$ws*) \
799                 xpass=`expr $$xpass + 1`; \
800                 failed=`expr $$failed + 1`; \
801                 echo "XPASS: $$tst"; \
802               ;; \
803               *) \
804                 echo "PASS: $$tst"; \
805               ;; \
806               esac; \
807             elif test $$? -ne 77; then \
808               all=`expr $$all + 1`; \
809               case " $(XFAIL_TESTS) " in \
810               *$$ws$$tst$$ws*) \
811                 xfail=`expr $$xfail + 1`; \
812                 echo "XFAIL: $$tst"; \
813               ;; \
814               *) \
815                 failed=`expr $$failed + 1`; \
816                 echo "FAIL: $$tst"; \
817               ;; \
818               esac; \
819             else \
820               skip=`expr $$skip + 1`; \
821               echo "SKIP: $$tst"; \
822             fi; \
823           done; \
824           if test "$$failed" -eq 0; then \
825             if test "$$xfail" -eq 0; then \
826               banner="All $$all tests passed"; \
827             else \
828               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
829             fi; \
830           else \
831             if test "$$xpass" -eq 0; then \
832               banner="$$failed of $$all tests failed"; \
833             else \
834               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
835             fi; \
836           fi; \
837           dashes="$$banner"; \
838           skipped=""; \
839           if test "$$skip" -ne 0; then \
840             skipped="($$skip tests were not run)"; \
841             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
842               dashes="$$skipped"; \
843           fi; \
844           report=""; \
845           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
846             report="Please report to $(PACKAGE_BUGREPORT)"; \
847             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
848               dashes="$$report"; \
849           fi; \
850           dashes=`echo "$$dashes" | sed s/./=/g`; \
851           echo "$$dashes"; \
852           echo "$$banner"; \
853           test -z "$$skipped" || echo "$$skipped"; \
854           test -z "$$report" || echo "$$report"; \
855           echo "$$dashes"; \
856           test "$$failed" -eq 0; \
857         else :; fi
858
859 distdir: $(DISTFILES)
860         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
861         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
862         list='$(DISTFILES)'; \
863           dist_files=`for file in $$list; do echo $$file; done | \
864           sed -e "s|^$$srcdirstrip/||;t" \
865               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
866         case $$dist_files in \
867           */*) $(MKDIR_P) `echo "$$dist_files" | \
868                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
869                            sort -u` ;; \
870         esac; \
871         for file in $$dist_files; do \
872           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
873           if test -d $$d/$$file; then \
874             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
875             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
876               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
877             fi; \
878             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
879           else \
880             test -f $(distdir)/$$file \
881             || cp -p $$d/$$file $(distdir)/$$file \
882             || exit 1; \
883           fi; \
884         done
885 check-am: all-am
886         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
887         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
888 check: check-am
889 all-am: Makefile
890 installdirs:
891 install: install-am
892 install-exec: install-exec-am
893 install-data: install-data-am
894 uninstall: uninstall-am
895
896 install-am: all-am
897         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
898
899 installcheck: installcheck-am
900 install-strip:
901         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
902           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
903           `test -z '$(STRIP)' || \
904             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
905 mostlyclean-generic:
906
907 clean-generic:
908         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
909
910 distclean-generic:
911         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
912         -rm -f gras/$(am__dirstamp)
913         -rm -f simdag/$(am__dirstamp)
914         -rm -f surf/$(am__dirstamp)
915         -rm -f xbt/$(am__dirstamp)
916         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
917
918 maintainer-clean-generic:
919         @echo "This command is intended for maintainers to use"
920         @echo "it deletes files that may require special tools to rebuild."
921 clean: clean-am
922
923 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
924         mostlyclean-am
925
926 distclean: distclean-am
927         -rm -rf ./$(DEPDIR)
928         -rm -f Makefile
929 distclean-am: clean-am distclean-compile distclean-generic \
930         distclean-tags
931
932 dvi: dvi-am
933
934 dvi-am:
935
936 html: html-am
937
938 info: info-am
939
940 info-am:
941
942 install-data-am:
943
944 install-dvi: install-dvi-am
945
946 install-exec-am:
947
948 install-html: install-html-am
949
950 install-info: install-info-am
951
952 install-man:
953
954 install-pdf: install-pdf-am
955
956 install-ps: install-ps-am
957
958 installcheck-am:
959
960 maintainer-clean: maintainer-clean-am
961         -rm -rf ./$(DEPDIR)
962         -rm -f Makefile
963 maintainer-clean-am: distclean-am maintainer-clean-generic
964
965 mostlyclean: mostlyclean-am
966
967 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
968         mostlyclean-libtool
969
970 pdf: pdf-am
971
972 pdf-am:
973
974 ps: ps-am
975
976 ps-am:
977
978 uninstall-am:
979
980 .MAKE: install-am install-strip
981
982 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
983         clean-checkPROGRAMS clean-generic clean-libtool ctags \
984         distclean distclean-compile distclean-generic \
985         distclean-libtool distclean-tags distdir dvi dvi-am html \
986         html-am info info-am install install-am install-data \
987         install-data-am install-dvi install-dvi-am install-exec \
988         install-exec-am install-html install-html-am install-info \
989         install-info-am install-man install-pdf install-pdf-am \
990         install-ps install-ps-am install-strip installcheck \
991         installcheck-am installdirs maintainer-clean \
992         maintainer-clean-generic mostlyclean mostlyclean-compile \
993         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
994         tags uninstall uninstall-am
995
996
997 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
998         ./run_tests
999 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
1000         ./run_tests valgrind
1001
1002 gras/datadesc_structs.c: gras/mk_datadesc_structs.pl
1003         cd gras ; perl ../$(top_srcdir)/testsuite/gras/mk_datadesc_structs.pl > datadesc_structs.c
1004
1005 dist-files:
1006         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
1007         @echo
1008         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
1009 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1010 # Otherwise a system limit (for SysV at least) may be exceeded.
1011 .NOEXPORT: